BIJI SAMUEL Posted September 14, 2018 Posted September 14, 2018 Hi there, I am struggling to convert couple of text from top view to side view(z face). In this drawing i have 1000s or text heights need to be show from top view to side view. Is there any quick way i can do it this. Please see this attached image which will tell you what exactly i want. Please some one help me. Many thanks Biji Samuel Quote
CADTutor Posted September 14, 2018 Posted September 14, 2018 If you only have a couple to do, your best bet may be the 3D Align tool. See here for details: https://www.cadtutor.net/tutorials/autocad/3d-scale-and-3d-align/ If, on the other hand, you have thousands, you're going to need a LISP routine. Quote
BIJI SAMUEL Posted September 14, 2018 Author Posted September 14, 2018 Yes, This drawing i have with 22 3D data and each one contain more than 50 texts. So is there any LISP Routine for this. thanks Quote
BIJI SAMUEL Posted September 17, 2018 Author Posted September 17, 2018 Good Morning All, have any one got LISP Routine for rotating Texts from one face to another face. Please help me. Many thanks Quote
BIGAL Posted September 17, 2018 Posted September 17, 2018 The other way may be to use rotate3d. The only question is how do you determine the face of the object if its a cube then there is multiple answers. If its single faced then you can get at its properties. If its a 3d face again you can get at the co-ordinates. If its just stand the text up should be able to use the text angle and insertion point. Maybe a sample dwg. Quote
David Bethel Posted September 17, 2018 Posted September 17, 2018 If these are all standard TEXT. this should work on model space entities : (defun c:txt2wcs (/ ss i en ed) (and (setq ss (ssget "X" (list (cons 0 "TEXT") (cons 67 0) (cons -4 "/=") (list 210 0 0 1)))) (setq i 0) (while (setq en (ssname ss i)) (setq ed (entget en)) (cond ((and (zerop (cdr (assoc 72 ed))) (zerop (cdr (assoc 73 ed)))) (setq ed (subst (cons 10 (trans (cdr (assoc 10 ed)) en 0)) (assoc 10 ed) ed)) (setq ed (subst (list 210 0 0 1) (assoc 210 ed) ed)) (entmod ed)) ((not (and (zerop (cdr (assoc 72 ed))) (zerop (cdr (assoc 73 ed))))) (setq ed (subst (cons 11 (trans (cdr (assoc 11 ed)) en 0)) (assoc 11 ed) ed)) (setq ed (subst (list 210 0 0 1) (assoc 210 ed) ed)) (entmod ed))) (setq i (1+ i)))) (prin1)) I Know next to nothing about MTEXT entities -David Quote
BIJI SAMUEL Posted September 17, 2018 Author Posted September 17, 2018 THANK YOU ALL FOR YOUR HELP. Sorry, how do i use this texts? I copied this text and created .lsp (LISP Routine) and Apploded. But its not working. Please help me. Quote
David Bethel Posted September 17, 2018 Posted September 17, 2018 #1 are text entities MTEXT or standard TEXT ? Command : LIST (select 1 string ). It should report the type entity it is. It could even be an attributed INSERT -David Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.